<!--
  -   Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.audit.message.EditAuditMessage']}</h2>

        <h:form id="globalForm">

            <div class="container-fluid">

                <div class="col-lg-3 col-lg-push-9">
                    <div id="sideActions">
                        <h:panelGroup rendered="#{auditMessageEditor.selectedAuditMessageSpecification.event == null}">
                            <p>
                                <a4j:commandButton actionListener="#{auditMessageEditor.addEventIdentification()}"
                                                   value="#{messages['net.ihe.gazelle.audit.message.AddEventIdentification']}"
                                                   render="globalForm,gazelle-messages" styleClass="gzl-btn-blue"
                                                   style="margin-bottom: 5px;"/>
                            </p>
                        </h:panelGroup>
                        <h:panelGroup rendered="#{auditMessageEditor.selectedAuditMessageSpecification.auditSource == null}">
                            <p>
                                <a4j:commandButton actionListener="#{auditMessageEditor.addAuditSourceIdentification()}"
                                                   value="#{messages['net.ihe.gazelle.audit.message.AddAuditSourceIdentification']}"
                                                   render="globalForm,gazelle-messages" styleClass="gzl-btn-blue"
                                                   style="margin-bottom: 5px;"/>
                            </p>
                        </h:panelGroup>
                        <h4>#{messages['net.ihe.gazelle.audit.message.ActiveParticipant']}</h4>
                        <p>
                            <a4j:commandButton actionListener="#{auditMessageEditor.addNewActiveParticipant()}"
                                               value="#{messages['net.ihe.gazelle.audit.message.AddActiveParticipant']}"
                                               render="globalForm,gazelle-messages" styleClass="gzl-btn-blue"
                                               style="margin-bottom: 5px;"/>
                            <a4j:commandButton actionListener="#{auditMessageEditor.addSource()}"
                                               value="#{messages['net.ihe.gazelle.audit.message.AddSource']}"
                                               render="globalForm,gazelle-messages" styleClass="gzl-btn-blue"
                                               style="margin-bottom: 5px;"/>
                            <a4j:commandButton actionListener="#{auditMessageEditor.addDestination()}"
                                               value="#{messages['net.ihe.gazelle.audit.message.AddDestination']}"
                                               render="globalForm,gazelle-messages" styleClass="gzl-btn-blue"
                                               style="margin-bottom: 5px;"/>
                            <a4j:commandButton actionListener="#{auditMessageEditor.addHumanRequestor()}"
                                               value="#{messages['net.ihe.gazelle.audit.message.AddHumanRequestor']}"
                                               render="globalForm,gazelle-messages" styleClass="gzl-btn-blue"
                                               style="margin-bottom: 5px;"/>
                        </p>
                        <h4>#{messages['net.ihe.gazelle.audit.message.ParticipantObjectIdentification']}</h4>
                        <p>
                            <a4j:commandButton actionListener="#{auditMessageEditor.addNewParticipantIdentification()}"
                                               value="#{messages['net.ihe.gazelle.audit.message.AddParticipantObjectIdentification']}"
                                               render="globalForm,gazelle-messages" styleClass="gzl-btn-blue"
                                               style="margin-bottom: 5px;"/>
                            <a4j:commandButton
                                    actionListener="#{auditMessageEditor.addPatientToSelectedAuditMessageSpecification()}"
                                    value="#{messages['net.ihe.gazelle.audit.message.AddPatient']}"
                                    render="globalForm,gazelle-messages" styleClass="gzl-btn-blue"
                                    style="margin-bottom: 5px;"/>
                        </p>

                        <p>
                            <a4j:commandButton actionListener="#{auditMessageEditor.saveSelectedAuditMessageSpecification()}"
                                               value="#{messages['net.ihe.gazelle.audit.message.Save']}"
                                               render="globalForm,gazelle-messages" styleClass="gzl-btn-green"/>
                            <button type="button" onclick="jq162('#confirmLeave').modal('show')" class="gzl-btn">
                                <h:outputText value="#{messages['net.ihe.gazelle.audit.message.BackToList']}"/>
                            </button>
                        </p>

                    </div>
                    <script>
                        function affixSideActions() {
                            var navHeight = 150;
                            var viewportWidth = 1200;
                            if ($(window).width() > viewportWidth) {
                                if ($(window).scrollTop() > navHeight) {
                                    $('#sideActions').addClass('gzl-affix-right');
                                    return;
                                }
                            }
                            $('#sideActions').removeClass('gzl-affix-right');
                        }

                        $(document).ready(function () {
                            affixSideActions();
                            $(window).bind('scroll', function () {
                                affixSideActions();
                            });
                        });
                    </script>
                </div>

                <div class="col-lg-9 col-lg-pull-3">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">
                            #{messages['net.ihe.gazelle.audit.message.IHEAuditMessageSpecification']}
                        </ui:define>
                        <div class="form-horizontal">
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="nameInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Name']}</ui:define>
                                <h:inputText id="nameInput" size="100" required="true" styleClass="form-control"
                                             value="#{auditMessageEditor.selectedAuditMessageSpecification.name}"/>
                            </s:decorate>
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="oidDisplay"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.OID']}</ui:define>
                                <p class="form-control-static">
                                    <h:outputText id="oidDisplay" size="100" required="true"
                                                  value="#{auditMessageEditor.selectedAuditMessageSpecification.oid}"/>
                                </p>
                            </ui:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="docRefInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.DocumentReference']}
                                </ui:define>
                                <h:inputText id="docRefInput" size="100" required="true" styleClass="form-control"
                                             value="#{auditMessageEditor.selectedAuditMessageSpecification.document}"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="sectionInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Section']}</ui:define>
                                <h:inputText id="sectionInput" required="true" styleClass="form-control"
                                             value="#{auditMessageEditor.selectedAuditMessageSpecification.section}"/>
                            </s:decorate>
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="lastChangedDisplay"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.LastChange']}
                                </ui:define>
                                <p class="form-control-static">
                                    <g:date value="#{auditMessageEditor.selectedAuditMessageSpecification.lastChanged}"/>
                                    <h:outputText id="lastChangedDisplay"
                                                  value=" #{messages['net.ihe.gazelle.audit.message.By']} #{auditMessageEditor.getUserName(auditMessageEditor.selectedAuditMessageSpecification.lastModifierId)}"/>
                                </p>
                            </ui:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="affinityDomainInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.AffinityDomain']}
                                </ui:define>
                                <h:inputText id="affinityDomainInput" required="true" styleClass="form-control"
                                             value="#{auditMessageEditor.selectedAuditMessageSpecification.affinityDomain}"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.DicomCompatible']}
                                </ui:define>
                                <h:selectBooleanCheckbox
                                        value="#{auditMessageEditor.selectedAuditMessageSpecification.isDicomCompatible}"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                                <ui:define name="label">
                                    #{messages['net.ihe.gazelle.audit.message.DeprecateRFC3881Validation']}
                                </ui:define>
                                <h:selectBooleanCheckbox
                                        value="#{auditMessageEditor.selectedAuditMessageSpecification.forceDicomCompatibility}"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.DeprecatedValidator']}
                                </ui:define>
                                <h:selectBooleanCheckbox
                                        value="#{auditMessageEditor.selectedAuditMessageSpecification.isDeprecated}"/>
                            </s:decorate>
                        </div>

                        <f:subview id="subview_1">
                            <ui:include src="edit/event.xhtml"/>
                        </f:subview>

                        <s:div id="carddiv" styleClass="form-horizontal">

                            <ui:repeat id="uir1"
                                       value="#{auditMessageEditor.selectedAuditMessageSpecification.activeParticipants}"
                                       var="actpart">
                                <s:decorate id="sd" template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="api"/>
                                    <ui:define name="label">#{actpart.name}</ui:define>
                                    <h:selectOneMenu id="api" value="#{actpart.min}">
                                        <f:selectItem itemValue="0"/>
                                        <f:selectItem itemValue="1"/>
                                    </h:selectOneMenu>
                                    <h:outputText value=".."/>
                                    <h:selectOneMenu value="#{actpart.max}">
                                        <f:selectItem itemValue="1"/>
                                        <f:selectItem itemValue="2"/>
                                        <f:selectItem itemValue="3"/>
                                        <f:selectItem itemValue="4"/>
                                        <f:selectItem itemValue="5"/>
                                        <f:selectItem itemValue="6"/>
                                        <f:selectItem itemValue="7"/>
                                        <f:selectItem itemValue="8"/>
                                        <f:selectItem itemValue="9"/>
                                        <f:selectItem itemValue="*"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </ui:repeat>

                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                        rendered="#{auditMessageEditor.selectedAuditMessageSpecification.auditSource != null}">
                                <ui:param name="id" value="asi"/>
                                <ui:define name="label">
                                    #{messages['net.ihe.gazelle.audit.message.AuditSourceIdentification']}
                                </ui:define>
                                <h:selectOneMenu id="asi"
                                                 value="#{auditMessageEditor.selectedAuditMessageSpecification.auditSource.min}">
                                    <f:selectItem itemValue="0"/>
                                    <f:selectItem itemValue="1"/>
                                </h:selectOneMenu>
                                <h:outputText value=".."/>
                                <h:selectOneMenu
                                        value="#{auditMessageEditor.selectedAuditMessageSpecification.auditSource.max}">
                                    <f:selectItem itemValue="1"/>
                                    <f:selectItem itemValue="2"/>
                                    <f:selectItem itemValue="3"/>
                                    <f:selectItem itemValue="4"/>
                                    <f:selectItem itemValue="5"/>
                                    <f:selectItem itemValue="6"/>
                                    <f:selectItem itemValue="7"/>
                                    <f:selectItem itemValue="8"/>
                                    <f:selectItem itemValue="9"/>
                                    <f:selectItem itemValue="*"/>
                                </h:selectOneMenu>
                            </s:decorate>

                            <ui:repeat id="uir2" var="partid" varStatus="loop"
                                       value="#{auditMessageEditor.selectedAuditMessageSpecification.participantObjectIdentifications}">
                                <s:decorate id="sd" template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="poi"/>
                                    <ui:define name="label">#{partid.name}</ui:define>
                                    <h:selectOneMenu id="poi" value="#{partid.min}">
                                        <f:selectItem itemValue="0"/>
                                        <f:selectItem itemValue="1"/>
                                    </h:selectOneMenu>
                                    <h:outputText value=".."/>
                                    <h:selectOneMenu value="#{partid.max}">
                                        <f:selectItem itemValue="1"/>
                                        <f:selectItem itemValue="2"/>
                                        <f:selectItem itemValue="3"/>
                                        <f:selectItem itemValue="4"/>
                                        <f:selectItem itemValue="5"/>
                                        <f:selectItem itemValue="6"/>
                                        <f:selectItem itemValue="7"/>
                                        <f:selectItem itemValue="8"/>
                                        <f:selectItem itemValue="9"/>
                                        <f:selectItem itemValue="*"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </ui:repeat>

                        </s:div>

                        <a4j:repeat value="#{auditMessageEditor.selectedAuditMessageSpecification.activeParticipants}"
                                    var="actpart">
                            <f:subview id="subview_2">
                                <ui:include src="/audit-messages/edit/actPart.xhtml">
                                    <ui:param name="activeParticipant" value="#{actpart}"/>
                                </ui:include>
                            </f:subview>
                        </a4j:repeat>
                        <br/>

                        <f:subview id="subview_3">
                            <ui:include src="/audit-messages/edit/auditSource.xhtml">
                                <ui:param name="auditSource"
                                          value="#{auditMessageEditor.selectedAuditMessageSpecification.auditSource}"/>
                            </ui:include>
                        </f:subview>

                        <a4j:repeat var="partid"
                                    value="#{auditMessageEditor.selectedAuditMessageSpecification.participantObjectIdentifications}">
                            <f:subview id="subview_4">
                                <ui:include src="/audit-messages/edit/partIdentification.xhtml">
                                    <ui:param name="partIdentification" value="#{partid}"/>
                                </ui:include>
                            </f:subview>
                        </a4j:repeat>

                        <s:div id="extradiv" styleClass="row">
                            <h3>
                                <h:outputText value="#{messages['net.ihe.gazelle.audit.message.ExtraConstraints']} "/>
                                <a4j:commandLink action="#{auditMessageEditor.initSelectedExtraConstraint()}"
                                                 oncomplete="jq162('#add_extra_constraint').modal('show')"
                                                 render="add_extra_constraint_form"
                                                 title="#{messages['net.ihe.gazelle.audit.message.Add']}">
                                    <span class="gzl-icon-plus"></span>
                                </a4j:commandLink>
                            </h3>
                            <rich:dataTable
                                    value="#{auditMessageEditor.selectedAuditMessageSpecification.extraConstraintSpecifications}"
                                    var="extra"
                                    rendered="#{auditMessageEditor.selectedAuditMessageSpecification.extraConstraintSpecifications.size() &gt; 0}">
                                <rich:column>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.audit.message.Id']}</f:facet>
                                    <h:outputText value="#{extra.id}"/>
                                </rich:column>
                                <rich:column>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.audit.message.Kind']}</f:facet>
                                    <h:outputText value="#{extra.kind}"/>
                                </rich:column>
                                <rich:column>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.audit.message.Xpath']}</f:facet>
                                    <h:outputText value="#{extra.xpath}"/>
                                </rich:column>
                                <rich:column>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.audit.message.Description']}
                                    </f:facet>
                                    <h:outputText value="#{extra.description}"/>
                                </rich:column>
                                <rich:column>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.audit.message.Action']}
                                    </f:facet>
                                    <span class="gzl-never-wrap">
                                            <a4j:commandLink execute="@this"
                                                             actionListener="#{auditMessageEditor.setSelectedExtraConstraint(extra)}"
                                                             oncomplete="jq162('#add_extra_constraint').modal('show')"
                                                             render="add_extra_constraint_form"
                                                             title="#{messages['net.ihe.gazelle.audit.message.Edit']}">
                                                <span class="fa fa-pencil"></span>
                                            </a4j:commandLink>
                                            <a4j:commandLink render="extradiv" execute="@this"
                                                             action="#{auditMessageEditor.selectedAuditMessageSpecification.extraConstraintSpecifications.remove(extra)}"
                                                             title="#{messages['net.ihe.gazelle.audit.message.Remove']}">
                                                <span class="fa fa-trash-o text-danger"></span>
                                            </a4j:commandLink>
                                        </span>
                                </rich:column>
                            </rich:dataTable>
                        </s:div>

                    </ui:decorate>
                </div>

            </div>

            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="confirmLeave"/>
                <ui:define name="popup_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.DidYouSaveYourChanges']}"/>
                </ui:define>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.audit.message.YouAreGoingToLeaveThisPageIfYouHavePerformedChan']}"/>

                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        <h:outputText value="#{messages['net.ihe.gazelle.audit.message.StayHere']}"/>
                    </button>
                    <h:outputLink value="#{auditMessageEditor.linkToListAuditMessage()}" styleClass="gzl-btn-orange"
                                  onclick="jq162('#confirmLeave').modal('hide')">
                        #{messages['net.ihe.gazelle.audit.message.LeaveWithoutSaving']}
                    </h:outputLink>
                    <h:commandButton action="#{auditMessageEditor.saveAndLeave()}"
                                     onclick="jq162('#confirmLeave').modal('hide')"
                                     value="#{messages['net.ihe.gazelle.audit.message.SaveChangesAndLeave']}"
                                     styleClass="gzl-btn-green"/>
                </ui:define>
            </ui:decorate>

        </h:form>

        <h:form id="formcreate">
            <ui:decorate template="/layout/popup/_popup_title_footer_no_dismiss.xhtml">
                <ui:param name="popup_id" value="select_ihe_spec"/>
                <ui:param name="styleClass" value="modal-lg"/>
                <ui:define name="popup_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.IHEAuditMessageSpecification_2']}"/>
                </ui:define>

                <p>
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.SelectElementsOfAuditMessageToSpecify']}"/>
                </p>
                <rich:pickList value="#{auditMessageEditor.listIHEAuditContents}" minListHeight="120px" maxListHeight="200px"
                               required="true">
                    <s:selectItems value="#{auditMessageEditor.listAllIHEAuditContents}" var="val" label="#{val}"/>
                </rich:pickList>

                <ui:define name="popup_footer">
                    <h:outputLink value="#{auditMessageEditor.linkToListAuditMessage()}" styleClass="gzl-btn">
                        #{messages['net.ihe.gazelle.atna.Cancel']}
                    </h:outputLink>
                    <a4j:commandButton action="#{auditMessageEditor.initNewAuditMessageSpecification()}"
                                       oncomplete="jq162('#select_ihe_spec').modal('hide')" execute="@form"
                                       value="#{messages['net.ihe.gazelle.audit.message.Confirm']}"
                                       render="globalForm,gazelle-messages"
                                       styleClass="gzl-btn-blue"/>
                </ui:define>
            </ui:decorate>
            <h:panelGroup rendered="#{auditMessageEditor.isCreateMode()}">
                <script>jq162('#select_ihe_spec').modal('show');</script>
            </h:panelGroup>
        </h:form>

        <h:form>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="add_extra_constraint"/>
                <ui:define name="popup_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.EditExtraConstraint']}"/>
                </ui:define>

                <s:div id="add_extra_constraint_form">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="kindInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Kind']}</ui:define>
                        <h:inputText id="kindInput" value="#{auditMessageEditor.selectedExtraConstraint.kind}"
                                     styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="xPathInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Xpath']}</ui:define>
                        <h:inputTextarea id="xPathInput" value="#{auditMessageEditor.selectedExtraConstraint.xpath}"
                                         rows="4" styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="descInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Description']}</ui:define>
                        <h:inputTextarea id="descInput" value="#{auditMessageEditor.selectedExtraConstraint.description}"
                                         rows="4" styleClass="form-control"/>
                    </s:decorate>
                </s:div>

                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.atna.Cancel']}
                    </button>
                    <a4j:commandButton action="#{auditMessageEditor.saveSelectedExtraConstraint()}"
                                       oncomplete="jq162('#add_extra_constraint').modal('hide')" execute="@form"
                                       value="#{messages['net.ihe.gazelle.audit.message.Confirm']}"
                                       render="globalForm,gazelle-messages"
                                       styleClass="gzl-btn-blue"/>
                </ui:define>
            </ui:decorate>
        </h:form>

        <h:form>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="add_extra_dicom_pi"/>
                <ui:define name="popup_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.AddAnOptionalDicomSpecification']}"/>
                </ui:define>

                <s:div id="add_extra_dicom_pi_select">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.OptionalExtension']}</ui:define>
                        <h:selectOneMenu value="#{auditMessageEditor.selectedOptionalPI}" styleClass="form-control">
                            <s:selectItems value="#{auditMessageEditor.optionalPI()}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.audit.message.PleaseSelect']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:div>

                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.atna.Cancel']}
                    </button>
                    <a4j:commandButton action="#{auditMessageEditor.addSelectedExtraDicomPI()}"
                                       oncomplete="jq162('#add_extra_dicom_pi').modal('hide')" execute="@form"
                                       value="#{messages['net.ihe.gazelle.audit.message.Confirm']}"
                                       render="globalForm,gazelle-messages"
                                       styleClass="gzl-btn-blue"/>
                </ui:define>
            </ui:decorate>
        </h:form>

        <h:form>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="add_extra_dicom_ap"/>
                <ui:define name="popup_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.AddAnOptionalDicomSpecification']}"/>
                </ui:define>

                <s:div id="add_extra_dicom_ap_select">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.OptionalExtension']}</ui:define>
                        <h:selectOneMenu value="#{auditMessageEditor.selectedOptionalAP}" styleClass="form-control">
                            <s:selectItems value="#{auditMessageEditor.optionalAP()}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.audit.message.PleaseSelect']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:div>

                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.atna.Cancel']}
                    </button>
                    <a4j:commandButton action="#{auditMessageEditor.addSelectedExtraDicomAP()}"
                                       oncomplete="jq162('#add_extra_dicom_ap').modal('hide')" execute="@form"
                                       value="#{messages['net.ihe.gazelle.audit.message.Confirm']}"
                                       render="globalForm,gazelle-messages"
                                       styleClass="gzl-btn-blue"/>
                </ui:define>
            </ui:decorate>
        </h:form>


        <h:form>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="add_extra_dicom_ev"/>
                <ui:define name="popup_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.AddAnOptionalDicomSpecification']}"/>
                </ui:define>

                <s:div id="add_extra_dicom_ev_select">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="optionnalEVInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.OptionalExtension']}</ui:define>
                        <h:selectOneMenu id="optionnalEVInput" value="#{auditMessageEditor.selectedOptionalEV}"
                                         styleClass="form-control">
                            <s:selectItems value="#{auditMessageEditor.optionalEV()}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.audit.message.PleaseSelect']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:div>

                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.atna.Cancel']}
                    </button>
                    <a4j:commandButton action="#{auditMessageEditor.addSelectedExtraDicomEV()}"
                                       oncomplete="jq162('#add_extra_dicom_ev').modal('hide')" execute="@form"
                                       value="#{messages['net.ihe.gazelle.audit.message.Confirm']}"
                                       render="globalForm,gazelle-messages"
                                       styleClass="gzl-btn-blue"/>
                </ui:define>
            </ui:decorate>
        </h:form>

        <h:form>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="add_extra_dicom_as"/>
                <ui:define name="popup_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.AddAnOptionalDicomSpecification']}"/>
                </ui:define>

                <s:div id="add_extra_dicom_as_select">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="optionnalASInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.OptionalExtension']}</ui:define>
                        <h:selectOneMenu id="optionnalASInput" value="#{auditMessageEditor.selectedOptionalAS}"
                                         styleClass="form-control">
                            <s:selectItems value="#{auditMessageEditor.optionalAS()}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.audit.message.PleaseSelect']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:div>

                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.atna.Cancel']}
                    </button>
                    <a4j:commandButton action="#{auditMessageEditor.addSelectedExtraDicomAS()}"
                                       oncomplete="jq162('#add_extra_dicom_as').modal('hide')" execute="@form"
                                       value="#{messages['net.ihe.gazelle.audit.message.Confirm']}"
                                       render="globalForm,gazelle-messages"
                                       styleClass="gzl-btn-blue"/>
                </ui:define>
            </ui:decorate>
        </h:form>

    </ui:define>
</ui:composition>